package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * 物料数量DTO
 */
@Data
public class WmsPartQtyDto {

    @ApiParam(value = "物料名称")
    private String partName;
    @ApiParam(value = "物料编码")
    private String partNo;
    @ApiParam(value = "应收数量")
    private Double qty;
    @ApiParam(value = "实收数量")
    private Double rcQty;
    @ApiParam(value = "待收数量")
    private Double dueQty;


    public Double getQty() {
        return qty == null? 0.0:qty;
    }

    public Double getRcQty() {
        return rcQty == null? 0.0:rcQty;
    }

    public Double getDueQty() {
        return dueQty == null? 0.0:dueQty;
    }
}
